#ifndef _GREP_2_4_6_CONFIG_MSVC_H_
#define _GREP_2_4_6_CONFIG_MSVC_H_

	#if defined(_MSC_VER) && _MSC_VER>1000
		#pragma once
		/* 
			This header is only valid if compiling with Microsoft Visual C++ 6.0
		 or greater.
		*/
		/*
			Enable the code added to fix the bug that causes an invalid parameter error
			to be displayed if the file argument contains a space and thus must be 
			enclosed in quotes
		*/
		#define _QUOTED_WILDCARD_FIX_	1
		#define USING_MSVC60	1
		#define HAVE_STDDEF_H	1
		/* config.h.  Generated automatically by configure.  */
		/* config.hin.  Generated automatically from configure.in by autoheader.  */

		/* Define if using alloca.c.  */
		/* #undef C_ALLOCA */

		/* Define if the closedir function returns void instead of int.  */
		/* #undef CLOSEDIR_VOID */

		/* Define to empty if the keyword does not work.  */
		/* #undef const */

		/* Define to one of _getb67, GETB67, getb67 for Cray-2 and Cray-YMP systems.
		   This function is required for alloca.c support on those systems.  */
		/* #undef CRAY_STACKSEG_END */

		#define STDC_HEADERS	1

		/* Define if you have alloca, as a function or macro.  */
		#define HAVE_ALLOCA 1

		/* Define if you have <alloca.h> and it should be used (not on Ultrix).  */
		/* #undef HAVE_ALLOCA_H */
		/* #define HAVE_ALLOCA_H	1 */

		/* Define if you have a working `mmap' system call.  */
		/* #undef HAVE_MMAP */

		/* Define as __inline if that's what the C compiler calls it.  */
		/* #undef inline */
		#define inline __inline

		/* Define to `long' if <sys/types.h> doesn't define.  */
		/* #undef off_t */
		typedef long off_t;

		/* Define to `unsigned' if <sys/types.h> doesn't define.  */
		typedef unsigned int size_t;

		/* If using the C implementation of alloca, define if you know the
		   direction of stack growth for your system; otherwise it will be
		   automatically deduced at run-time.
		 STACK_DIRECTION > 0 => grows toward higher addresses
		 STACK_DIRECTION < 0 => grows toward lower addresses
		 STACK_DIRECTION = 0 => direction of growth unknown
		 */
		/* #undef STACK_DIRECTION */

		/* Define if the `S_IS*' macros in <sys/stat.h> do not work properly.  */
		#define STAT_MACROS_BROKEN 1

		/* Define to use grep's error-checking malloc in the kwset routines.  */
		#define GREP 1

		/* Package name. */
		#define PACKAGE "grep"

		/* Version number. */
		#define VERSION "2.4.2 Win32 MSVC"

		/* Define to `int' if <sys/types.h> doesn't define.  */
		typedef int ssize_t;

		/* Hack for Visual C++ suggested by irox. */
		/* #undef alloca */

		/* #undef HAVE_STPCPY */

		/* #define ENABLE_NLS 1 */

		/*
		 * DOS specific
		 */
		#define HAVE_DOS_FILE_NAMES 1

		/* Define if you have the btowc function.  */
		#define HAVE_BTOWC	1

		/* Define if you have the getcwd function.  */
		#define HAVE_GETCWD 1

		/* Define if you have the getpagesize function.  */
		/* #define HAVE_GETPAGESIZE 1 */

		/* Define if you have the isascii function.  */
		#define HAVE_ISASCII 1
		#define isascii __isascii

		/* Define if you have the memchr function.  */
		#define HAVE_MEMCHR 1

		/* Define if you have the memmove function.  */
		#define HAVE_MEMMOVE 1

		/* Define if you have the munmap function.  */
		/* #undef HAVE_MUNMAP */

		/* Define if you have the putenv function.  */
		#define HAVE_PUTENV 1

		/* Define if you have the setenv function.  */
		/* #undef HAVE_SETENV */

		/* Define if you have the setlocale function.  */
		#define HAVE_SETLOCALE 1

		/* Define if you have the setmode function.  */
		#define HAVE_SETMODE 1

		/* Define if you have the stpcpy function.  */
		/* #undef HAVE_STPCPY */

		/* Define if you have the strchr function.  */
		#define HAVE_STRCHR 1

		/* Define if you have the strdup function.  */
		#define HAVE_STRDUP 1

		/* Define if you have the strerror function.  */
		#define HAVE_STRERROR 1

		/* Define if you have the wctype function.  */
		#define HAVE_WCTYPE	1

		/* Define if you have the <argz.h> header file.  */
		/* #undef HAVE_ARGZ_H */

		/* Define if you have the <dirent.h> header file.  */
		/* #define HAVE_DIRENT_H 1 */

		/* Define if you have the <libintl.h> header file.  */
		/* #undef HAVE_LIBINTL_H */

		/* Define if you have the <limits.h> header file.  */
		#define HAVE_LIMITS_H 1

		/* Define if you have the <locale.h> header file.  */
		#define HAVE_LOCALE_H 1

		/* Define if you have the <malloc.h> header file.  */
		#define HAVE_MALLOC_H 1

		/* Define if you have the <memory.h> header file.  */
		#define HAVE_MEMORY_H 1

		/* Define if you have the <ndir.h> header file.  */
		/* #undef HAVE_NDIR_H */

		/* Define if you have the <nl_types.h> header file.  */
		/* #undef HAVE_NL_TYPES_H */

		/* Define if you have the <stdlib.h> header file.  */
		#define HAVE_STDLIB_H 1

		/* Define if you have the <string.h> header file.  */
		#define HAVE_STRING_H 1

		/* Define if you have the <sys/dir.h> header file.  */
		/* #undef HAVE_SYS_DIR_H */

		/* Define if you have the <sys/ndir.h> header file.  */
		/* #undef HAVE_SYS_NDIR_H */

		/* Define if you have the <sys/param.h> header file.  */
		/* #undef HAVE_SYS_PARAM_H */

		/* Define if you have the <unistd.h> header file.  */
		// #define HAVE_UNISTD_H 1 

		/* Define if you have <fcntl.h> but do not have the <unistd.h> header file. */
		#define HAVE_FCNTL_H	1

		/* Define if you have the <wchar.h> header file.  */
		#define HAVE_WCHAR_H	1

		/* Define if you have the <wctype.h> header file.  */
		#define  HAVE_WCTYPE_H	1

		/* Define if you have the i library (-li).  */
		/* #undef HAVE_LIBI */

		/* Number of bits in a file offset, on hosts where this is settable. */
		/* #undef _FILE_OFFSET_BITS */

		/* Define to make fseeko etc. visible, on some hosts. */
		/* #undef _LARGEFILE_SOURCE */

		/* Define for large files, on AIX-style hosts. */
		/* #undef _LARGE_FILES */

		/* Define if compiler has function prototypes */
		#define PROTOTYPES 1
		
		#define D_OK	0x04 /* Should this be 0x02? */
		#define access _access

	#endif	// #if defined(_MSC_VER) && _MSC_VER>1000
#endif	// #ifndef _GREP_2_4_6_CONFIG_MSVC_H_
